# To learn more about Custom Resources, see https://docs.chef.io/custom_resources.html

property  :repo, String
property  :tag_version, String
property  :path, String
property  :site, String
property  :configfile, String, default: 'user/config.php'

action :install do
  # Install package default
  node['yourls']['packages'].each do |pkg|
    package pkg do
      action :install
      options '--force-yes'
    end
  end

  # Clone the application
  git 'yourls' do
    repository new_resource.repo
    revision new_resource.tag_version
    destination new_resource.path
  end

  # Create file for the users and configurations
  template "#{new_resource.path}/#{new_resource.configfile}" do
    source 'config.php.erb'
    owner node['apache']['user']
    group node['apache']['group']
    mode '0644'
    variables(
      site: new_resource.site
    )
  end

  # Set permission for the apache in the path application
  execute 'chown_user_apache' do
    command "/bin/chown -R #{node['apache']['user']}:#{node['apache']['group']} #{new_resource.path}"
  end
end
