#
# Cookbook:: yourls
# Spec:: default
#
# Copyright:: 2018, Jailson Silva, All Rights Reserved.

require 'spec_helper'

describe 'yourls::default' do
  context 'When all attributes are default, on an Ubuntu 16.04' do
    let(:chef_run) do
      # for a complete list of available platforms and versions see:
      # https://github.com/customink/fauxhai/blob/master/PLATFORMS.md
      runner = ChefSpec::ServerRunner.new(platform: 'ubuntu', version: '16.04', step_into: ['yourls_install'])
      runner.converge(described_recipe)
    end

    it 'Converges successfully' do
      expect { chef_run }.to_not raise_error
    end

    before do
      stub_command('/usr/sbin/apache2 -t').and_return(true)
    end

    it 'Include Recipe app' do
      expect(chef_run).to include_recipe('yourls::app')
    end
  end
end
