# # encoding: utf-8

# Inspec test for recipe yourls::default

# The Inspec reference, with examples and extensive documentation, can be
# found at http://inspec.io/docs/reference/resources/

if os[:release] == '14.04'

  %w(git curl php5 php5-curl).each do |pkg|
    describe package(pkg) do
      it { should be_installed }
    end
  end

elsif os[:release] == '16.04'

  %w(git curl php7.0 php7.0-curl).each do |pkg|
    describe package(pkg) do
      it { should be_installed }
    end
  end

end

# Describe service apache
describe upstart_service('apache2') do
  it { should be_installed }
  it { should be_enabled }
  it { should be_running }
end

# Check the instalation of the application
describe file '/opt/yourls' do
  it { should be_directory }
  its('owner') { should eq 'www-data' }
end

# Test if file exist with the users
describe file('/opt/yourls/user/config.php') do
  it { should exist }
end
